# Πρόγραμμα Υπολογισμού Μέσου Όρου Βαθμολογίας και Μέγιστου Βαθμού
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Υπολογισμού Μέσου Όρου Βαθμολογίας\
5 φοιτητών και του Μεγαλύτερου Βαθμού ")
print()

# Αρχικοποίηση λιστών με την τιμή [] δηλαδή την κενή λίστα
lista_foititon=[]
lista_vathmon=[]

# Εισαγωγή ονόματος και βαθμού 5 φοιτητών
for i in  range(5):
    print("Εισήγαγε το Όνομα του φοιτητή Νο:",i+1)
    foititis = input()
    lista_foititon.append(foititis)
    print("Εισήγαγε το Βαθμό του φοιτητή Νο:",i+1)
    vathmos = int(input())
    lista_vathmon.append(vathmos)    

# Αρχικοποίηση μεταβλητών
# α) αθροιστή βαθμών με τη τιμή 0
# β) αύξοντα αριθμού φοιτητή που έχει το μεγαλύτερο βαθμό, με τη τιμή 0
# γ) μεγαλύτερης βαθμολογίας με τη τιμή -1,
athroisma_vathmon=0
max_id=0
max_vathmos=-1

# Εμφάνιση πίνακα βαθμολογιών
print("Συγκεντρωτικά η βαθμολογία ειναι η εξής:")
# Χρήση εντολής επανάληψης for (μεταβλητή i)
# Η μεταβλητή i θα λάβει διαδοχικά όλες τις τιμές μεταξύ 0 και 4
for j in  range(5):
    print(j+1,lista_foititon[j], lista_vathmon[j])
    # αύξηση αθροιστή βαθμών κατά αριθμό ίσο με το τρέχων βαθμό
    athroisma_vathmon = athroisma_vathmon+lista_vathmon[j]
    # Έλεγχος εάν ο τρέχων βαθμός είναι μεγαλύτερος από τον
    # μέχρι στιγμής μέγιστο
    if lista_vathmon[j]> max_vathmos:
        # O αύξοντας αριθμός φοιτητή που έχει τη μέγιστη βαθμολογία
        # αλλάζει σε j
        max_id = j
        # O μέγιστος βαθμός αλλά στο τρέχον βαθμό
        max_vathmos = lista_vathmon[j]
        
# Εμφάνιση Αποτελεσμάτων
print()
print("Ο Μέσος Όρος Βαθμολογίας είναι:", athroisma_vathmon/5)
print()
print("Ο Μεγαλύτερος Βαθμός είναι:",max_vathmos, \
"και τον έχει ο/η",  lista_foititon[max_id])
    
# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Υπολογισμού \
Μέσου Όρου Βαθμολογίας και Μέγιστου Βαθμού") 
